Bug 509197 - valgrind cannot read debug symbols anymore
valgrind cannot read debug symbols anymore
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 13:48 EDT by Lennart Poettering
Modified: 2009-09-06 14:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-13 11:10:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2009-07-01 13:48:48 EDT
somehow valgrind can't decode the debugsymbols gcc generates anymore?

==27066== Memcheck, a memory error detector.
==27066== Copyright (C) 2002-2008, and GNU GPL'd, by Julian Seward et al.
==27066== Using LibVEX rev 1884, a library for dynamic binary translation.
==27066== Copyright (C) 2004-2008, and GNU GPL'd, by OpenWorks LLP.
==27066== Using valgrind-3.4.1, a dynamic binary instrumentation framework.
==27066== Copyright (C) 2000-2008, and GNU GPL'd, by Julian Seward et al.
==27066== For more details, rerun with: -v
==27066== 
--27066-- WARNING: Serious error when reading debug info
--27066-- When reading debug info from /home/lennart/projects/pulseaudio/src/.libs/lt-pulseaudio:
--27066-- Ignoring non-dwarf2 block in .debug_info
--27066-- WARNING: Serious error when reading debug info
--27066-- When reading debug info from /home/lennart/projects/pulseaudio/src/.libs/lt-pulseaudio:
--27066-- Ignoring non-dwarf2 block in .debug_info
--27066-- WARNING: Serious error when reading debug info
--27066-- When reading debug info from /home/lennart/projects/pulseaudio/src/.libs/lt-pulseaudio:
--27066-- Ignoring non-dwarf2 block in .debug_info
--27066-- WARNING: Serious error when reading debug info
--27066-- When reading debug info from /home/lennart/projects/pulseaudio/src/.libs/lt-pulseaudio:
--27066-- Ignoring non-dwarf2 block in .debug_info
--27066-- WARNING: Serious error when reading debug info
--27066-- When reading debug info from /home/lennart/projects/pulseaudio/src/.libs/lt-pulseaudio:
--27066-- Ignoring non-dwarf2 block in .debug_info
--27066-- WARNING: Serious error when reading debug info
--27066-- When reading debug info from /home/lennart/projects/pulseaudio/src/.libs/lt-pulseaudio:
--27066-- Ignoring non-dwarf2 block in .debug_info
--27066-- WARNING: Serious error when reading debug info
--27066-- When reading debug info from /home/lennart/projects/pulseaudio/src/.libs/lt-pulseaudio:
--27066-- Ignoring non-dwarf2 block in .debug_info
Comment 1 Jakub Jelinek 2009-07-13 11:10:15 EDT
Please try valgrind-3.4.1-5 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.